<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Insert_User StructType
 * @subpackage Structs
 */
class Insert_User extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The UserDetails
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\UserDetails
     */
    public $UserDetails;
    /**
     * Constructor method for Insert_User
     * @uses Insert_User::setLogin()
     * @uses Insert_User::setUserDetails()
     * @param \StructType\Login $login
     * @param \StructType\UserDetails $userDetails
     */
    public function __construct(\StructType\Login $login = null, \StructType\UserDetails $userDetails = null)
    {
        $this
            ->setLogin($login)
            ->setUserDetails($userDetails);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Insert_User
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get UserDetails value
     * @return \StructType\UserDetails|null
     */
    public function getUserDetails()
    {
        return $this->UserDetails;
    }
    /**
     * Set UserDetails value
     * @param \StructType\UserDetails $userDetails
     * @return \StructType\Insert_User
     */
    public function setUserDetails(\StructType\UserDetails $userDetails = null)
    {
        $this->UserDetails = $userDetails;
        return $this;
    }
}
